Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 172737 - Deleting text in a reply makes evolution eat CPU
Summary: Deleting text in a reply makes evolution eat CPU
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC3Update
TreeView+ depends on / blocked
 
Reported: 2005-11-08 22:03 UTC by Armijn Hemel
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 04:51:24 UTC


Attachments (Terms of Use)

Description Armijn Hemel 2005-11-08 22:03:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
When I send a reply to someone I tend to cut out lot of text. Often, when I select a lot of text the cursor turns into this giant cursor and when I press backspace evolution starts eating CPU and the only way to continue is to kill evolution and relaunch it. It drives me (and my parents) completely nuts.

Version-Release number of selected component (if applicable):
2.0.4-6

How reproducible:
Always

Steps to Reproduce:
1. Reply to a mail
2. Select a big block of text, the cursor will become gigantous
3. press backspace
  

Actual Results:  Evolution starts eating CPU time.

Expected Results:  I expected that the text I selected would simply be deleted.

Additional info:

I've seen this behavious in various versions of Evolution. On Red Hat 9 it wasn't a problem at all, ever since we're running FC3 it has become a problem. If necessary I can provide backtraces, output from strace, etc., if given instructions, whatever is needed.

Comment 1 Dave Malcolm 2005-11-08 22:20:02 UTC
Thanks for this bug report; it would be good to track this one down.

You asked for instructions, so here goes...

(i) First of all, what does "rpm -q gtkhtml3 gdb" report?  Please ensure you
have the latest FC3 evolution and gtkhtml3 packages installed, if you upgrade
any, please verify the bug still occurs, and report exactly which packages
you're using.

(ii) Secondly, we need a good backtrace.  Please can you install
evolution-debuginfo and gtkhtml3-debuginfo (you can find the debuginfo packages
for FC3 here:
http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/debug/
)

Please also install gdb if it's not already installed.

Make sure the versions of the debuginfo packages correspond to the versions of
the main packages you have installed.

Open a terminal, and when evolution gets into its CPU-eating state, type
"ps ax | grep evolution" to determine the ID of the evolution process.

Then type:

gdb attach the-id-of-the-evolution-process

to attach the gdb debugger to evolution.

Then type "t a a bt" at the gdb prompt to get backtraces from each of
evolution's threads, pressing return as necessary.  Please copy and paste all of
the text into a text file, and attach that file to this bug.

(iii) Thirdly:  If you can identify an exact recipe that reproduces this
behaviour (e.g. with a saved email in mid-composition as a starting point),
please can you add it to this bug report.

Thanks: hope the above is clear.

Comment 3 Matthew Miller 2006-07-10 21:14:11 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 Matthew Barnes 2007-01-02 04:51:24 UTC
Closing as INSUFFICIENT_DATA since the reporter never responded to the request
for more information.  Feel free to re-open this bug if you still encounter the
problem in Fedora Core 6 or later.


Note You need to log in before you can comment on or make changes to this bug.